Subject: Re: [PATCH 1/1] net: sctp: bug fixing when sctp path recovers

From: Chang <[email-masked]>
Date: Wed, 13 Nov 2013 21:48:40 +0100

On 11/13/2013 08:10 PM, Daniel Borkmann wrote:
> On 11/13/2013 08:06 PM, Chang wrote:
>> On 11/13/2013 09:44 AM, Daniel Borkmann wrote:
>>> On 11/13/2013 03:54 AM, Chang wrote:
>>>> On 11/13/2013 03:37 AM, Vlad Yasevich wrote:
>>>>> On 11/12/2013 08:34 PM, Chang Xiangzhong wrote:
>>>>>> Look for the __two__ most recently used path/transport and set to 
>>>>>> active_path
>>>>>> and retran_path respectively
>>>
>>> Please also for the log, elaborate a bit more, explaining what 
>>> currently
>>> happens, and what the effects of this bug are, so that later when 
>>> people
>>> are looking through the Git log they can easily get what problem you 
>>> are
>>> trying to fix; and if possible, add:
>>>
>>> Fixes: <12 digits SHA1> ("<commit title>")
>>>
>> Yeah, sure, I'll elaborate that more specifically.
>
> Thanks !
>
>> I assume the 12-digit SHA1 is the revision number. But may I ask 
>> where and how shall I add the tag "Fixes" tag? The revision number is 
>> generated after "git commit", how can I know that in advance?
>
> Nope, it's the affected commit id from the current git log that
> your patch fixes.
>
> Have a look for example at commit:
>
> 98bbc06aabac5a2 ("net: x86: bpf: don't forget to free sk_filter (v2)")
Thank you for your quick response. I'm quite green on kernel programming 
and git. So here's one question:
To find the the revision that **caused** the bug, I could use gitk to 
trace the changing of the file(s) history. Is that correct?